# MSP::CCS::CartesianCoordinates Class Reference

`#include <CartesianCoordinates.h>`

Inheritance diagram for MSP::CCS::CartesianCoordinates:

List of all members.

## Public Member Functions

| CartesianCoordinates ()
| CartesianCoordinates (CoordinateType::Enum _coordinateType)
| CartesianCoordinates (CoordinateType::Enum _coordinateType, double __x, double __y, double __z)
| CartesianCoordinates (CoordinateType::Enum _coordinateType, const char *__warningMessage, double __x, double __y, double __z)
| CartesianCoordinates (const CartesianCoordinates &cc)
| ~CartesianCoordinates ()
CartesianCoordinates & | operator= (const CartesianCoordinates &cc)
void | set (double __x, double __y, double __z)
void | setX (double __x)
void | setY (double __y)
void | setZ (double __z)
double | x () const
double | y () const
double | z () const

## Detailed Description

Definition at line 15 of file CartesianCoordinates.h.

## Constructor & Destructor Documentation

CartesianCoordinates::CartesianCoordinates | ( |  | ) |

Definition at line 10 of file CartesianCoordinates.cpp.

CartesianCoordinates::CartesianCoordinates | ( | CoordinateType::Enum | _coordinateType | ) |

Definition at line 19 of file CartesianCoordinates.cpp.

CartesianCoordinates::CartesianCoordinates | ( | CoordinateType::Enum | _coordinateType,
|  | double | __x,
|  | double | __y,
|  | double | __z |
| ) |  |  |

Definition at line 28 of file CartesianCoordinates.cpp.

CartesianCoordinates::CartesianCoordinates | ( | CoordinateType::Enum | _coordinateType,
|  | const char * | __warningMessage,
|  | double | __x,
|  | double | __y,
|  | double | __z |
| ) |  |  |

Definition at line 37 of file CartesianCoordinates.cpp.

CartesianCoordinates::CartesianCoordinates | ( | const CartesianCoordinates & | cc | ) |

Definition at line 49 of file CartesianCoordinates.cpp.

CartesianCoordinates::~CartesianCoordinates | ( |  | ) |

Definition at line 63 of file CartesianCoordinates.cpp.

## Member Function Documentation

CartesianCoordinates & CartesianCoordinates::operator= | ( | const CartesianCoordinates & | cc | ) |

Reimplemented from MSP::CCS::CoordinateTuple.

Definition at line 71 of file CartesianCoordinates.cpp.

void CartesianCoordinates::set | ( | double | __x,
|  | double | __y,
|  | double | __z |
| ) |  |  |

Definition at line 90 of file CartesianCoordinates.cpp.

void CartesianCoordinates::setX | ( | double | __x | ) |

Definition at line 98 of file CartesianCoordinates.cpp.

void CartesianCoordinates::setY | ( | double | __y | ) |

Definition at line 104 of file CartesianCoordinates.cpp.

void CartesianCoordinates::setZ | ( | double | __z | ) |

Definition at line 110 of file CartesianCoordinates.cpp.

double CartesianCoordinates::x | ( |  | ) | const

Definition at line 116 of file CartesianCoordinates.cpp.

double CartesianCoordinates::y | ( |  | ) | const

Definition at line 122 of file CartesianCoordinates.cpp.

double CartesianCoordinates::z | ( |  | ) | const

Definition at line 128 of file CartesianCoordinates.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateTuples/CartesianCoordinates.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateTuples/CartesianCoordinates.cpp